Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Properties | List of all members
GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration Class Reference

This class describes all settings that apply across all device channels. More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration:

## Public Member Functions

| ChannelConfiguration ()
| Channel configuration: set initial Name, Saved and Streamed More...
override bool | Equals (object obj)
| COmpare two channel configuration More...
override int | GetHashCode ()
| Get Hash Code for Name and Preset Code More...

## Properties

string | ChannelType`[get]`
| A text label to describe the type of channel More...
int | ChannelIndex`[get, set]`
| The one-based channel ID that corresponds to the channel label on the device. More...
String | Name`[get, set]`
| The name associated with this channel. Names cannot exceed 30 characters. More...
bool | Enabled`[get, set]`
| Indicates whether this channel is enabled. If true, data will be acquired on this channel. Otherwise, no data will be acquired. More...
bool | Saved`[get, set]`
| Indicates whether this channel will be saved to internal device memory when acquiring. More...
bool | Streamed`[get, set]`
| Indicates whether channel data will be wirelessly streamed to a connected client when acquisition is started. More...
ushort | PresetCode`[get, set]`
| A code to indicate an application-specific use for this channel. More...
bool | Connected`[get, set]`
| Indicates whether this channel is connected. This is a read-only property. More...

## Detailed Description

This class describes all settings that apply across all device channels.

## Constructor & Destructor Documentation

## ◆ ChannelConfiguration()

GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.ChannelConfiguration | ( |  | ) |

Channel configuration: set initial Name, Saved and Streamed

## Member Function Documentation

## ◆ Equals()

override bool GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.Equals | ( | object | obj | ) |

COmpare two channel configuration

Parameters

  obj | Take a channel configuration object.

Returns
  Return true is are the channels has the same configuration.

## ◆ GetHashCode()

override int GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.GetHashCode | ( |  | ) |

Get Hash Code for Name and Preset Code

Returns

## Property Documentation

## ◆ ChannelIndex

int GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.ChannelIndex

getset

The one-based channel ID that corresponds to the channel label on the device.

## ◆ ChannelType

string GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.ChannelType

get

A text label to describe the type of channel

## ◆ Connected

bool GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.Connected

getset

Indicates whether this channel is connected. This is a read-only property.

## ◆ Enabled

bool GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.Enabled

getset

Indicates whether this channel is enabled. If true, data will be acquired on this channel. Otherwise, no data will be acquired.

## ◆ Name

String GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.Name

getset

The name associated with this channel. Names cannot exceed 30 characters.

## ◆ PresetCode

ushort GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.PresetCode

getset

A code to indicate an application-specific use for this channel.

## ◆ Saved

bool GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.Saved

getset

Indicates whether this channel will be saved to internal device memory when acquiring.

## ◆ Streamed

bool GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration.Streamed

getset

Indicates whether channel data will be wirelessly streamed to a connected client when acquisition is started.